package capitulo02.bloque03;

import java.util.Scanner;

public class Ejercicio02 {
    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);
        int eleccion;
        float num1, num2;

        System.out.println("""
                Bienvenido a la calculadora avanzada
                Seleccione la operación que desea hacer:
                1 - Raiz de dos números
                2 - Potencia de dos números
                3 - Módulo de una división""");
        eleccion = sc.nextInt();
        switch (eleccion) {
            case 1:
                System.out.println("Introduzca el radical de la raiz");
                num1 = sc.nextFloat();
                System.out.println("Introduzca el índice de la raiz");
                num2 = sc.nextFloat();
                System.out.println("El resultado de la raiz es: " + Math.pow(num1,(1/num2)));
                break;
            case 2:
                System.out.println("Introduzca la base de la potencia");
                num1 = sc.nextFloat();
                System.out.println("Introduzca el exponente de la potencia");
                num2 = sc.nextFloat();
                System.out.println("El resultado de la potencia es: " + Math.pow(num1,num2));
                break;
            case 3:
                System.out.println("Introduzca el dividendo de la división");
                num1 = sc.nextFloat();
                System.out.println("Introduzca el divisor de la división");
                num2 = sc.nextFloat();
                System.out.println("El módulo de la división es: " + (num1 % num2));
                break;
            default:
                System.out.println("No ha seleccionado una opción válida");
        }
    }
}
